com.google.gwt.event.dom.client

## Interface HasCanPlayThroughHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  HasAllMediaHandlers

All Known Implementing Classes:
  Audio, MediaBase, Video

    public interface HasCanPlayThroughHandlers
    extends HasHandlers

A widget that implements this interface provides registration for `CanPlayThroughHandler` instances.

Experimental API: This API is still under development and is subject to change.

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerRegistration` `addCanPlayThroughHandler(CanPlayThroughHandler handler)` Adds a `CanPlayThroughEvent` handler.

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Method Detail

#### addCanPlayThroughHandler

    HandlerRegistration addCanPlayThroughHandler(CanPlayThroughHandler handler)

Adds a `CanPlayThroughEvent` handler.

Parameters:
  `handler` - the media CanPlayThrough handler
Returns:
  `HandlerRegistration` used to remove this handler